GDBserver

Classes | Namespaces | Macros | Typedefs | Functions
selftest.h File Reference

Go to the source code of this file.

## Classes
struct | selftests::selftest

## Namespaces
| selftests

## Macros
#define | SELF_CHECK(VALUE)

## Typedefs
typedef void | self_test_function(void)
typedef void | selftests::for_each_selftest_ftype(const std::string &name)

## Functions
void | selftests::register_test (const std::string &name, selftest *test)
void | selftests::register_test (const std::string &name, self_test_function *function)
void | selftests::run_tests (const char *filter)
void | selftests::reset ()
void | selftests::for_each_selftest (for_each_selftest_ftype func)

## Macro Definition Documentation

## ◆ SELF_CHECK

#define SELF_CHECK | ( |  | VALUE | ) |

Value:
do { \
if (!(VALUE)) \
error (_("self-test failed at %s:%d"), __FILE__, __LINE__); \
} while (0)
_
#define _(String)
Definition: gdb_locale.h:35

Definition at line 67 of file selftest.h.

Referenced by selftests::tdesc::aarch64_tdesc_test(), and selftests::tdesc::i386_tdesc_test().

## Typedef Documentation

## ◆ self_test_function

typedef void self_test_function(void)

Definition at line 25 of file selftest.h.